Skip to main content
GET
/
registry
/
v1
/
mcp-servers
/
{mcpServerId}
/
health
Get health detail
curl --request GET \
  --url https://api.swarmd.ai/registry/v1/mcp-servers/{mcpServerId}/health \
  --header 'Authorization: Bearer <token>'
{
  "mcpServerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "currentStatus": "<string>",
  "currentStatusAt": "2023-11-07T05:31:56Z",
  "uptimePercentage": 123,
  "uptimeWindowDays": 123,
  "dailyRollup": [
    {
      "date": "<string>",
      "totalChecks": 123,
      "healthyCount": 123,
      "unhealthyCount": 123,
      "unreachableCount": 123,
      "uptimePct": 123,
      "avgResponseMs": 123
    }
  ],
  "recentChecks": [
    {
      "status": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "metadata": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

JWT token (USER, AGENT, or SERVICE auth)

Path Parameters

mcpServerId
string<uuid>
required

Query Parameters

days
integer<int32>
default:30

Response

200 - */*

OK

mcpServerId
string<uuid>
currentStatus
string
currentStatusAt
string<date-time>
uptimePercentage
number<double>
uptimeWindowDays
integer<int32>
dailyRollup
object[]
recentChecks
object[]